/* dump.h - chan_ss7/mtp3d dump
 *
 * Copyright (C) 2006-2011 Netfors ApS.
 *
 * Author: Anders Baekgaard <ab@netfors.com>
 *
 * This file is part of chan_ss7.
 *
 * chan_ss7 is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * chan_ss7 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with chan_ss7; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef _ASTERISK_DAHDI_DUMP_H
#define _ASTERISK_DAHDI_DUMP_H

struct mtp_event {
  struct {
    int out;                  /* True if sent packet, false if received */
    int sls;		/* Signalling link selector */
    struct timeval stamp;        /* Timestamp */
  } dump;
  int len;
  unsigned char buf[1024];
};
extern int init_dump(int fd, const char* fn, int in, int out, int fisu, int lssu, int msu, long long file_max);
extern int* cleanup_dump(int fd, int in, int out);
extern void dump_event(struct mtp_event *event);
extern int dump_enabled(struct mtp_event *event);
extern void dump_status(int fd);

#endif

