/*
 * Vinetic-SVIP resource manager.
 *
 * Copyright (C) 2012 - 2014, Grandstream Networks, Inc.
 *
 * jwli@grandstream.com
 *
 * This program is free software, distributed under the terms of
 * the GNU General Public License Version 2. See the LICENSE file
 * at the top of the source tree.
 */


/*!
 * \file
 * \brief Vinetic-SVIP resource manager
 *
 * \author Javen <jwli@grandstream.com>
 */

#ifndef _AST_SVIPMANAGER_H_
#define _AST_SVIPMANAGER_H_

#define MAX_VINETIC_DEV_NUM 6
#define MAX_VINETIC_CHAN_PER_DEV 32

typedef enum {
	COD_LBR = 10,
	COD_G711,
	COD_G711_ONLY,
} cod_ru_type_t;

typedef struct {
	cod_ru_type_t ru_type;
	int inused;
} svip_coder_ru;

struct svip_dev_cod_res {
	int ru_num;
	svip_coder_ru cod_ru[MAX_VINETIC_CHAN_PER_DEV];
};

int ast_get_svip_codec(unsigned int dev, cod_ru_type_t ru_type);
int ast_put_svip_codec(unsigned int dev, unsigned int chan);
int ast_choose_optimal_dev(void);
int ast_svip_register(unsigned int dev, unsigned int channum);
int ast_svip_unregister(unsigned int dev);
int ast_svipmanager_init(void);

#endif
